iCalendlyDeveloper Docs
Cal unified calendars

POSTCreate a calendar event

Create a new event on the authenticated user's calendar. Currently only Google Calendar is supported.

POST/v2/calendars/{calendar}/events

Request Body

application/jsonRequired
titleRequiredstring

Title of the calendar event

startRequiredobject

Start date and time with time zone

endRequiredobject

End date and time with time zone

descriptionstring

Description of the event

attendeesarray<object>

List of attendees

Path Parameters

calendarRequiredstring
Value in: "google" | "office365" | "apple"

Header Parameters

AuthorizationRequiredstring

value must be Bearer <token> where <token> is api key prefixed with cal_ or managed user access token

curl -X POST "https://example.com/v2/calendars/google/events" \
  -H "Authorization: <string>" \
  -H "Content-Type: application/json" \
  -d '{
    "title": "string",
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "description": "string",
    "attendees": [
      {
        "email": "string",
        "name": "string"
      }
    ]
  }'

{
  "status": "success",
  "data": {
    "start": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "end": {
      "time": "2019-08-24T14:15:22Z",
      "timeZone": "string"
    },
    "id": "string",
    "title": "string",
    "description": "string",
    "locations": [
      {
        "type": "video",
        "url": "string",
        "label": "string",
        "password": "string",
        "meetingCode": "string",
        "accessCode": "string"
      }
    ],
    "attendees": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted",
        "self": true,
        "optional": true,
        "host": true
      }
    ],
    "status": "accepted",
    "hosts": [
      {
        "email": "string",
        "name": "string",
        "responseStatus": "accepted"
      }
    ],
    "calendarEventOwner": {
      "email": "string",
      "name": "string"
    },
    "source": "google"
  }
}